include	clib.inc
include	dos.inc

PPROC	wsetfattr, path:DPTR, attrib:word
	MPUSH	ds
	MLDS	dx,path
	mov	cx,attrib
	stc
	mov	ax,7143h
	mov	bl,1
	int	21h
	MPOP	ds
	jc	wsetfattr_error
	xor	ax,ax
    wsetfattr_toend:
	ret
    wsetfattr_error:
	call	@dosmaper
	mov	ax,-1
	jmp	wsetfattr_toend
PEND	wsetfattr

	END
